local L = LibStub("AceLocale-3.0"):GetLocale("NeedjaTrackerPlus", true)

NT2 = LibStub("AceAddon-3.0"):NewAddon("NeedjaTrackerPlus", "AceConsole-3.0", "AceEvent-3.0")

function NT2:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("NeedjaTrackerPlusDB", self:defaults(), true)

    LibStub("AceConfig-3.0"):RegisterOptionsTable("NeedjaTrackerPlus", self:options())
    LibStub("AceConfigDialog-3.0"):AddToBlizOptions("NeedjaTrackerPlus", L.title)

    ChatFrame_AddMessageEventFilter("CHAT_MSG_LOOT", function(this, ...) return self:FilterChatMessage(...) end)

    self:RegisterEvent("CHAT_MSG_LOOT", "ProcessChatMessage")
end

function NT2:FilterChatMessage(event, msg)
    return S2K:ParseMsgMatchTable(S2K.LOOT_ROLL_MSG_MATCH_TABLE, msg)
end

function NT2:ProcessChatMessage(event, msg)
    local handler, args = S2K:ParseMsgMatchTable(S2K.LOOT_ROLL_MSG_MATCH_TABLE, msg)

    if handler == "LOOT_ROLL_ALL_PASSED" then
        print(handler, args.item)

    elseif handler == "LOOT_ROLL_CHOSE" then
        print(handler, args.player, args.item, args.choice)

    elseif handler == "LOOT_ROLL_ROLLED" then
        print(handler, args.player, args.item, args.choice, args.roll)

    elseif handler == "LOOT_ROLL_WON" then
        print(handler, args.player, args.item)

    elseif handler == "LOOT_ROLL_WON_NO_SPAM" then
        print(handler, args.player, args.item, args.choice, args.roll)
    end
end
